<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoAnalysis](./bitburner.goanalysis.md) &gt; [getStats](./bitburner.goanalysis.getstats.md)

## GoAnalysis.getStats() method

Displays the game history, captured nodes, and gained bonuses for each opponent you have played against.

The details are keyed by opponent name, in this structure:

```
{
  <OpponentName>: {
    wins: number,
    losses: number,
    winStreak: number,
    highestWinStreak: number,
    favor: number,
    bonusPercent: number,
    bonusDescription: string,
  }
}
```

**Signature:**

```typescript
getStats(): Partial<Record<GoOpponent, SimpleOpponentStats>>;
```
**Returns:**

Partial&lt;Record&lt;[GoOpponent](./bitburner.goopponent.md)<!-- -->, [SimpleOpponentStats](./bitburner.simpleopponentstats.md)<!-- -->&gt;&gt;

A dictionary of opponent stats keyed by opponent name.

## Remarks

RAM cost: 0 GB

